﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Caliburn.Micro;
using Microsoft.WindowsAPICodePack.Shell;

namespace FlickrDownloadr.Features.Progress
{
    public class ProgressViewModel : Screen
    {
        private string _thumbnailPath;

        public ProgressViewModel()
        {
            
        }

        public string ThumbnailPath
        {
            get { return _thumbnailPath; }
            set
            {
                if (value != _thumbnailPath)
                {
                    _thumbnailPath = value;
                    NotifyOfPropertyChange(() => ThumbnailPath);
                }
            }
        }
    }
}
