﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FlickrDownloadr.Features.Viewer
{
    /// <summary>
    /// Interaction logic for ViewerView.xaml
    /// </summary>
    public partial class ViewerView : UserControl
    {
        SolidColorBrush _black = new SolidColorBrush(Colors.Black);
        SolidColorBrush _white = new SolidColorBrush(Colors.Black);

        public ViewerView()
        {
            InitializeComponent();

            Background = new SolidColorBrush(Properties.Settings.Default.BackgroundColor);
        }

        private void ViewerGrid_MouseDown(object sender, MouseButtonEventArgs e)
        {
            if (ViewerGrid.Background == _white)
            {
                ViewerGrid.Background = _black;
                Properties.Settings.Default.BackgroundColor = Colors.Black;
            }
            else
            {
                ViewerGrid.Background = _white;
                Properties.Settings.Default.BackgroundColor = Colors.White;
            }
        }
    }
}
