﻿//-----------------------------------------------------------------------
// <copyright file="IPhotoService.cs" company="Sondre Bjellås">
// This software is licensed as Microsoft Public License (Ms-PL).
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FlickrNet;

namespace FlickrDownloadr.Services
{
    public interface IPhotoService
    {
        void Search(PhotoSearchOptions searchOptions, Action<FlickrResult<PhotoCollection>> callback);
        void Search(int page, int perPage, Action<FlickrResult<PhotoCollection>> callback);
    }
}
