﻿namespace FlickrDownloadr.Features.About
{
    using System;
    using System.Net;
    using System.Windows;
    using System.Windows.Documents;
    using System.Windows.Ink;
    using System.Windows.Input;
    using System.Windows.Media;
    using System.Windows.Media.Animation;
    using FlickrDownloadr.Messages;
    using Caliburn.Micro;
    using FlickrDownloadr.Features.Shell;
    using System.Diagnostics;

    public class AboutViewModel : Screen, IAbout
    {
        private IShell _shell;

        public AboutViewModel(IShell shell)
        {
            _shell = shell;
        }

        public void OK()
        {
            _shell.CloseItem(this);
        }

        public void Donate()
        {
            Process.Start("http://flickrdownloadr.codeplex.com/wikipage?title=Donations");
        }
    }
}
